RubyGems Navigation menu

dry-schema 1.13.0

dry-schema provides a DSL for defining schemas with keys and rules that should be applied to values. It supports coercion, input sanitization, custom types and localized error messages (with or without I18n gem). It's also used as the schema engine in dry-validation.

Gemfile:
= 复制到剪贴板 已复制!

安装:
=

版本列表:

  1. 1.13.3 - August 26, 2023 (45.0 KB)
  2. 1.13.2 - May 31, 2023 (45.0 KB)
  3. 1.13.1 - April 07, 2023 (45.0 KB)
  4. 1.13.0 - November 24, 2022 (45.0 KB)
  5. 1.12.0 - November 04, 2022 (44.5 KB)
显示所有版本 (共 56 个)

Runtime 依赖 (7):

dry-configurable ~> 1.0, >= 1.0.1
dry-core ~> 1.0, < 2
dry-logic >= 1.5, < 2
dry-types >= 1.7, < 2
zeitwerk ~> 2.6

Development 依赖 (3):

bundler >= 0
rake >= 0
rspec >= 0

业主:

推送:

作者:

  • Piotr Solnica

SHA 256 校验和:

7984b1ddae0b0db5f33e2f421a35aa5fa5629931305f185a1937e7a46567427e

下载总量 50,138,524

这个版本 3,060,163

许可:

MIT

需要的 Ruby 版本: >= 2.7.0

链接: